/**
 * @file
 * Resource file script for Windows AllJoyn C API DLL
 */

/******************************************************************************
 * Copyright AllSeen Alliance. All rights reserved.
 *
 *    Permission to use, copy, modify, and/or distribute this software for any
 *    purpose with or without fee is hereby granted, provided that the above
 *    copyright notice and this permission notice appear in all copies.
 *
 *    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 *    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 *    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 *    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 *    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 *    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 *    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 ******************************************************************************/

#include <windows.h>

#ifndef DEBUG
#define VER_DEBUG                   0
#else
#define VER_DEBUG                   VS_FF_DEBUG
#endif

/******************************************************************************
 * Version
******************************************************************************/

#define VER_FILEVERSION             16,4,0,97
#define VER_FILEVERSION_STR         "16.04.00a\0"

#define VER_PRODUCTVERSION          16,4,0,97
#define VER_PRODUCTVERSION_STR      "16.04.00a\0"

#define VER_PRIVATEBUILD 0
#define VER_PRERELEASE 0

#define VER_COMPANYNAME_STR "AllSeen Alliance.\0"
#define VER_FILEDESCRIPTION_STR "AllJoyn C API Library\0"
#define VER_LEGALCOPYRIGHT_STR "Copyright AllSeen Alliance.\0"
#define VER_INTERNALNAME_STR "alljoyn_c.dll\0"
#define VER_ORIGINALFILENAME_STR "alljoyn_c.dll\0"
#define VER_PRODUCTNAME_STR "alljoyn_c.dll\0"

VS_VERSION_INFO VERSIONINFO
FILEVERSION        VER_FILEVERSION
PRODUCTVERSION     VER_PRODUCTVERSION
FILEFLAGSMASK      VS_FFI_FILEFLAGSMASK
FILEFLAGS          (VER_PRIVATEBUILD|VER_PRERELEASE|VER_DEBUG)
FILEOS             VOS__WINDOWS32
FILETYPE           VFT_DLL
FILESUBTYPE        VFT2_UNKNOWN
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "040904E4"
        BEGIN
            VALUE "CompanyName",      VER_COMPANYNAME_STR
            VALUE "FileDescription",  VER_FILEDESCRIPTION_STR
            VALUE "FileVersion",      VER_FILEVERSION_STR
            VALUE "InternalName",     VER_INTERNALNAME_STR
            VALUE "LegalCopyright",   VER_LEGALCOPYRIGHT_STR
            VALUE "OriginalFilename", VER_ORIGINALFILENAME_STR
            VALUE "ProductName",      VER_PRODUCTNAME_STR
            VALUE "ProductVersion",   VER_PRODUCTVERSION_STR
        END
    END
    BLOCK "VarFileInfo"
    BEGIN
        /* The following line should only be modified for localized versions.     */
        /* It consists of any number of WORD,WORD pairs, with each pair           */
        /* describing a language,codepage combination supported by the file.      */
        /*                                                                        */
        /* For example, a file might have values "0x409,1252" indicating that it  */
        /* supports English language (0x409) in the Windows ANSI codepage (1252). */

        VALUE "Translation", 0x409, 1252

    END
END
